html {
	height: 100%;
}

body {
	background-color: #444444;
	min-height: 100%;
	margin: 0;
	position: relative;
}

p {
	margin: 0;
}

.header {
	position: fixed;
	width: 100%;
	height: 25px;
	background-color: #333333;
	text-align: center;
	align-content: center;
	box-shadow: 0px 5px 5px #111111;
	margin: 0;
	z-index: 3;
}

.header, .footer p {
	color: #AAAAAA;
	display: inline;
}

.header a {
	top: 5px;
	display: inline;
	color: #AAAAAA;
	text-align: center;
	padding: 7px 5px;
	text-decoration: none;
}

.header a:hover {
	background-color: #222222;
}

.footer {
	width: 100%;
	height: 25px;
	background-color: #333333;
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	text-align: center;
	box-shadow: 0px 0px 5px 5px #222222;
	z-index: 3;
}

.notifications {
	position: fixed;
	width: 100%;
	top: 28px;
	height: 20px;
	background-color: white;
	border-radius: 5px;
	cursor: pointer;
}

label {
	display: block;
	float: top;
}

#canvas1 {
	display: none;
}

#canvas2 {
	display: none;
}

button {
	background-color: lightgreen;
	padding: 10px 20px;
	border-radius: 3px;
	cursor: pointer;
}

button:hover {
	background-color: orange;
}

#montage {
	margin-left: 20px;
	margin-right: 20px;
	margin-bottom: 50px;
}

#montageLeft, #montageRight {
	padding: 0;
	margin: 0;
	margin-top: 50px;
	background-color: #555555;
	border: 1px solid black;
}

#montageLeft {
	display: inline-block;
	vertical-align: top;
	width: 69.49%;
	min-width: 610px;
}

#montageRight {
	min-width: 160px;
	display: inline-block;
	vertical-align: top;
	width: 29.49%;
}

.filters {
	cursor: pointer;
}

.filter {
	position: absolute;
	cursor: pointer;
	z-index: 2;
}

#filters {
	max-width: 600px;
	overflow-x: scroll;
}

#filters_container {
	width: 1140px;
}

#camera, #output {
	position: relative;
	overflow: hidden;
}

#video, #photo {
	display: block;
	z-index: 1;
}

#photoFilter {
	position: absolute;
	z-index: 2;
}

#montageLeftMargin {
	margin-left: 5px;
}

#upload, #camera, #filters, #capture, #output, #save {
	margin-bottom: 5px;
}

.galleryOuter {
	margin-top: 50px;
	margin-bottom: 75px;
	display: inline-block;
	text-align: center;
	width: 100%;
}

.galleryInner {
	display: inline-block;
	text-align: left;
	width: 1680px;
}

@media (max-width: 2955px) {
	.galleryInner {
		width: 2520px;
	}
}

@media (max-width: 2535px) {
	.galleryInner {
		width: 2100px;
	}
}

@media (max-width: 2115px) {
	.galleryInner {
		width: 1680px;
	}
}

@media (max-width: 1695px) {
	.galleryInner {
		width: 1260px;
	}
}

@media (max-width: 1275px) {
	.galleryInner {
		width: 840px;
	}
}

@media (max-width: 855px) {
	.galleryInner {
		width: 413px;
	}
}

.galleryImg, .imgs {
	display: inline-block;
	text-align: center;
	margin: 4px;
}

.galleryInner .imgs {
	display: inline-block;
	margin: 4px;
	background-color: #555555;
	box-shadow: 0px 5px 5px #333333;
	cursor: pointer;
	text-align: center;
}

.galleryInner img {
	width: 400px;
}

.display {
	position: absolute;
	width: 100%;
	height: 100%;
	text-align: center;
	vertical-align: middle;
}

.displayBackground {
	position: fixed;
	background-color: #111111;
	opacity: 0.75;
	width: 100%;
	height: 100%;
	cursor: pointer;
	z-index: 4;
}

.displayFrame, .displayBigFrame {
	position: fixed;
	display: inline-block;
	margin: 5px;
	z-index: 5;
}

.displayFrame {
	position: fixed;
	width: 700px;
	max-height: 1000px;
	left: 50%;
	top: 50%;
	transform: translate(-52.5%, -48.5%);
	background-color: #555555;
	text-align: center;
}

.displayImg, .displayText {
	display: inline-block;
	text-align: center;
	margin: 5px;
	z-index: 6;
}

.displayText, .displayText:hover {
	cursor: pointer;
}

.displayImg{
	box-shadow: 0px 5px 5px #333333;
	cursor: default;
	margin-top: 10px;
}

.leftText {
	margin: 50px;
	text-align: left;
}

.commentInput {
	width: 500px;
	height: 20px;
	margin: 5px;
	margin-bottom: 10px;
}

.comments {
	overflow-y: scroll;
	scroll-behavior: smooth;
	max-height: 400px;
	display: block;
}

hr {
	display: block;
	height: 1px;
	border: 0;
	border-top: 1px solid #333333;
	margin: 1em 0;
	padding: 0;
}

.sideImages {
	position: relative;
	display: inline-block;
	width: 150px;
	margin: 5px;
	box-shadow: 0px 5px 5px #333333;
}

.margintop {
	margin-top: 50px;
	margin-bottom: 50px;
	display: inline-block;
}

#montageRightDiv {
	overflow-y: scroll;
	display: inline-block;
	max-height: 1000px;
	text-align: center;
	width: 100%;
}

#montageRightDivContent {
	background-color: #555555;
	display: inline-block;
	text-align: left;
	width: 640px;
}

@media (max-width: 2275px) {
	#montageRightDivContent {
		width: 480px;
	}
}

@media (max-width: 1734px) {
	#montageRightDivContent {
		width: 320px;
	}
}

@media (max-width: 1189px) {
	#montageRightDivContent {
		width: 160px;
	}
}

.miniature {
	position: relative;
	display: inline-block;
	vertical-align: top;
}

.delete {
	position: absolute;
	color: red;
	cursor: pointer;
	top: 8px;
	left: 127px;
	background-color: #333333;
	padding: 1px 5px;
}

.deleteGallery {
	position: absolute;
	color: red;
	cursor: pointer;
	top: 20px;
	left: 615px;
	background-color: #333333;
	padding: 1px 5px;
}

.delete:hover {
	cursor: pointer;
}

.profile {
	background-color: #555555;
	border: 1px solid black;
	margin: 10px;
}

.index {
	margin-top: 25%;
	display: inline-block;
	width: 100%;
	height: 100%;
	text-align: center;
	vertical-align: middle;
}

.imageInfos {
	text-align: left;
	margin-left: 5px;
}

.imageInfosRight {
	text-align: right;
	margin-right: 50px;
}

.galleryImgSrc {
	margin: 4px;
}